#Module-Specific definitions
%define mod_name mod_fcgid

Summary:	Apache module for FastCGI
Name:		apache-%{mod_name}
Version:	2.3.7
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org
Source0:	http://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz
Source1:	http://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz.asc
Source2:	mod_fcgid.conf
Source3:	fcgid.conf
BuildRequires:	apache-devel
Requires:	apache
Epoch:		1

%description
mod_fcgid is a binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on reducing
the number of fastcgi server, and kick out the corrupt fastcgi server as soon
as possible.

%prep
%setup -q -n %{mod_name}-%{version}

%build
# still a bit ugly

pushd modules/fcgid
cp fcgid_config.h.in fcgid_config.h
%{_httpd_apxs} -I. -c mod_fcgid.c fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c \
    fcgid_protocol.c fcgid_spawn_ctl.c fcgid_proctbl_unix.c fcgid_pm_unix.c \
    fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c fcgid_mutex_unix.c
popd

%install
rm -rf %{buildroot}

pushd modules/fcgid
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la
popd

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_fcgid.conf
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/fcgid.conf

install -d %{buildroot}/var/lib/%{name}

%clean
rm -rf %{buildroot}

%files
%doc *-FCGID docs/manual/mod/mod_fcgid.html.en
%config(noreplace) %{_httpd_modconfdir}/10_mod_fcgid.conf
%config(noreplace) %{_httpd_extconfdir}/fcgid.conf
%{_httpd_moddir}/mod_fcgid.so
%attr(-,apache,apache) %dir /var/lib/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:2.3.7-2.mga3
+ Revision: 345847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1:2.3.7-1.mga3
+ Revision: 280774
- new version
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 1:2.3.6-3.mga3
+ Revision: 268678
- fix module configuration to work with systemd (mga #6714)

* Fri Mar 23 2012 luigiwalser <luigiwalser> 1:2.3.6-2.mga2
+ Revision: 225796
- fix CVE-2012-1181 (patch 0 from mdv)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:2.3.6-0.3.mga2
+ Revision: 223844
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 1:2.3.6-0.2.mga2
+ Revision: 144666
- Fix buildrequires
- Change apache-base require

* Thu Feb 17 2011 dmorgan <dmorgan> 1:2.3.6-0.1.mga1
+ Revision: 53294
- imported package apache-mod_fcgid

